#include<stdio.h>
#include<notmuch.h>

#ifndef DB_PATH
# define DB_PATH "/home/luc/mail"
#endif

int main(int argc, char** argv) {
  notmuch_database_t* database;
  notmuch_query_t* query;
  unsigned int count = 0;

  notmuch_database_open(DB_PATH, NOTMUCH_DATABASE_MODE_READ_WRITE, &database);
  query = notmuch_query_create(database, "is:inbox or is:spam");

  notmuch_query_count_messages_st(query, &count);
  printf("1. run of notmuch_query_count_messages_st yields %d\n", count);
  notmuch_query_count_messages_st(query, &count);
  printf("2. run of notmuch_query_count_messages_st yields %d\n", count);

  printf("Excluding 'spam'\n");
  notmuch_query_add_tag_exclude(query, "spam");

  notmuch_query_count_messages_st(query, &count);
  printf("3. run of notmuch_query_count_messages_st yields %d\n", count);
  notmuch_query_count_messages_st(query, &count);
  printf("4. run of notmuch_query_count_messages_st yields %d\n", count);
  return 0;
}
